Engineering Papers⌕ Search

SEARCH · Engineering Papers

Results for “Algebraic models”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 1,153 records · Page 64

Electromagnetic Transient Simulation Algorithms for Evaluation of Large-Scale Extreme Fast Charging Systems (Distribution Grid Models)

The distribution and transmission grids are observing an increased penetration of power electronics in loads and generations. For example, there is increasing interest in integrating in extreme fast charging (XFC) systems for fast charging of electrical vehicles. As these systems are integrated, developing high-fidelity electromagnetic transient model of XFC systems in distribution grids and evaluating their interactions with the power grid would be of significant interest. This model will be utilized for design of XFC systems, to identify upgrades in distribution and/or transmission grids, for planning purposes by transmission planners or operators or owners, among others. It can also be utilized in operations for improved reliable performance of the grid and/or XFC station. The challenge with simulating these models is the high computational complexity introduced by the large number of states present in the system and the time-step needed to simulate the system. In this paper, advanced simulations algorithms are applied to reduce the computational complexity of simulating large-scale XFC systems. The algorithms include numerical stiffness-based segregation, time constant-based segregation, clustering and aggregation on differential algebraic equations (DAEs), and multi-order integration approaches. While the first three algorithms split the matrix that needs to be inverted from a large matrix to much smaller matrices, the final algorithm reduces the computational burden of applying higher-order integration approaches in the complete system. The comparison made in the previous sentence is with respect to use of homogeneous integration approaches used in conventional electromagnetic transient simulators like power systems computer aided design (PSCAD). The approaches mentioned here have resulted in speed-up of 36x in the simulation of a single distribution system with 15 XFCs.

Debnath, Suman↗

Calculation of plasma properties in ion sources

Simple algebraic equations are developed that can be used to calculate the average primary electron density, the average primary to Maxwellian density ratio, and the average Maxwellian electron temperature in the discharge chamber of a cusped magnetic field ion source. These properties may be calculated as functions of the propellant gas flow rate and the propellant utilization efficiency. Each of the plasma properties calculated using the model agrees well with the corresponding experimental data for both argon and xenon gases over a wide range of propellant flow rates and utilization efficiencies.

Brophy, J. R.↗

Time-optical spinup maneuvers of flexible spacecraft

Attitude controllers for spacecraft have been based on the assumption that the bodies being controlled are rigid. Future spacecraft, however, may be quite flexible. Many applications require spinning up/down these vehicles. In this work the minimum time control of these maneuvers is considered. The time-optimal control is shown to possess an important symmetry property. Taking advantage of this property, the necessary and sufficient conditions for optimality are transformed into a system of nonlinear algebraic equations in the control switching times during one half of the maneuver, the maneuver time, and the costates at the mid-maneuver time. These equations can be solved using a homotopy approach. Control spillover measures are introduced and upper bounds on these measures are obtained. For a special case these upper bounds can be expressed in closed form for an infinite dimensional evaluation model. Rotational stiffening effects are ignored in the optimal control analysis. Based on a heuristic argument a simple condition is given which justifies the omission of these nonlinear effects. This condition is validated by numerical simulation.

Singh, G.↗

A generalization of algebraic surface drawing

An implicit surface mathematical description of three-dimensional space is defined in terms of all points which satisfy some equation F(x, y, z) equals 0. This form is ideal for space-shaded picture drawing, where the coordinates are substituted for x and y and the equation is solved for z. A new algorithm is presented which is applicable to functional forms other than those of first- and second-order polynomial functions, such as the summation of several Gaussian density distributions. The algorithm was created in order to model electron density maps of molecular structures, but is shown to be capable of generating shapes of esthetic interest.

Blinn, J. F.↗

Repartitioning the Hamiltonian in many-body second-order Brillouin–Wigner perturbation theory: Uncovering new size-consistent models

Second-order Møller-Plesset perturbation theory is well-known as a computationally inexpensive approach to the electron correlation problem that is size-consistent with a size-consistent reference but fails to be regular. On the other hand, the less well-known many-body version of Brillouin-Wigner perturbation theory has the reverse properties: it is regular but fails to be size-consistent when used with the standard MP partitioning. Consequently, its widespread use remains limited. In this work, we analyze the ways in which it is possible to use alternative non-MP partitions of the Hamiltonian to yield variants of BW2 that are size-consistent as well as regular. We show that there is a vast space of such BW2 theories and also show that it is possible to define a repartitioned BW2 theory from the ground state density alone, which regenerates the exact correlation energy. We also provide a general recipe for deriving regular, size-consistent, and size-extensive partitions from physically meaningful components, and we apply the result to small model systems. The scope of these results appears to further set the stage for a revival of BW2 in quantum chemistry.

Ab initio perturbation↗

Qutrit circuits and algebraic relations: A pathway to efficient spin-1 Hamiltonian simulation

Quantum information processing has witnessed significant advancements through the application of qubit-based techniques within universal gate sets. Recently, exploration beyond the qubit paradigm to d -dimensional quantum units or qudits has opened new avenues for improving computational efficiency. This paper delves into the qudit-based approach, particularly addressing the challenges presented in the high-fidelity implementation of qudit-based circuits due to increased complexity. As an innovative approach towards enhancing qudit circuit fidelity, we explore algebraic relations, such as the Yang-Baxter-like turnover equation, which may enable circuit compression and optimization. The paper introduces the turnover relation for the three-qutrit time propagator and its potential use in reducing circuit depth. We further investigate whether this relation can be generalized for higher-dimensional quantum circuits, including a focused study on the one-dimensional spin-1 Heisenberg model. Our paper outlines both rigorous and numerically efficient approaches to potentially achieve this generalization, providing a foundation for further explorations in the field of qudit-based quantum computing.

97 MATHEMATICS AND COMPUTING↗

Qutrit Circuits and Algebraic Relations: A Pathway to Efficient Spin-1 Hamiltonian Simulation

Quantum information processing has witnessed significant advancements through the application of qubit- based techniques within universal gate sets. Recently, exploration beyond the qubit paradigm to d-dimensional quantum units or qudits has opened new avenues for improving computational efficiency. This paper delves into the qudit-based approach, particularly addressing the challenges presented in the high-fidelity implementation of qudit-based circuits due to increased complexity. As an innovative approach towards enhancing qudit circuit fidelity, we explore algebraic relations, such as the Yang-Baxter-like turnover equation, which may enable circuit compression and optimization. The paper introduces the turnover relation for the three-qutrit time propagator and its potential use in reducing circuit depth. We further investigate whether this relation can be generalized for higher-dimensional quantum circuits, including a focused study on the one-dimensional spin-1 Heisenberg model. Our paper outlines both rigorous and numerically efficient approaches to potentially achieve this generalization, providing a foundation for further explorations in the field of qudit-based quantum computing.

72 PHYSICS OF ELEMENTARY PARTICLES AND FIELDS↗

Slip velocity boundary conditions for the lattice Boltzmann modeling of microchannel flows

Abstract Slip flows in ducts are important in numerous engineering applications, most notably in microchannel flows. Compared to the standard no‐slip Dirichlet condition, the case of slip formulates as a Robin‐type condition for the fluid tangential velocity. Such an increase in mathematical complexity is accompanied by a more challenging numerical transcription. The present work concerns with this topic, addressing the modeling of the slip velocity boundary condition in the lattice Boltzmann method (LBM) applied to steady slow viscous flows inside ducts of nontrivial shapes. As novelty, we extend the newly revised local second‐order boundary (LSOB) Dirichlet fluid flow method [ Philos. Trans. R. Soc. A 378, 20190404 (2020)] to implement the slip velocity condition within the two‐relaxation‐time (TRT) framework. The LSOB follows an in‐node philosophy where its operation principle seeks to explicitly reconstruct the unknown boundary populations in the form of a third‐order accurate Chapman–Enskog expansion, where the wall slip condition is built‐in as a normal Taylor‐type condition. The key point of this approach is that the required first‐ and second‐order momentum derivatives, rather than computed through nonlocal finite difference approximations, are locally determined through a simple local linear algebra procedure, whose formulation is particularly aided by the TRT symmetry argument. To express the obtained derivatives, two approaches are considered, called and , which operate with node and wall variables, respectively. These two formulations are developed to prescribe the physical slip condition over plane and curved walls, including the corners. Their consistency and accuracy characteristics are examined against alternative linkwise strategies to impose the wall slip velocity, such as the kinetic‐based diffusive bounce‐back scheme, the central linear interpolation slip scheme, and the multireflection slip scheme. The several slip schemes are tested over different 3D microchannel configurations, with walls not conforming with the LBM uniform mesh. Numerical tests confirm the advanced accuracy characteristics of the proposed LSOB slip boundary scheme, revealing the added challenge of the wall slip modeling, and that parabolic accuracy is a necessary requirement to reach second‐order accuracy within this problem class.

Silva, Goncalo↗

Nonperturbative constraints from symmetry and chirality on Majorana zero modes and defect quantum numbers in (2+1) dimensions

In (1+1)D topological phases, unpaired Majorana zero modes (MZMs) can arise only if the internal symmetry group G f of the ground state splits as G f = G b × $Z^f_2$, where $Z^f_2$ is generated by fermion parity, (–1) F . In contrast, (2+1)-dimensional [(2+1)D] topological superconductors (TSC) can host unpaired MZMs at defects even when G f is not of the form G b × $Z^f_2$. In this paper we study how G f together with the chiral central charge c – strongly constrain the existence of unpaired MZMs and the quantum numbers of symmetry defects. Our results utilize a recent algebraic characterization of (2+1)D invertible fermionic topological states, which provides a non-perturbative approach based on topological quantum field theory, beyond free fermions. We study physically relevant groups such as U(1) f $\rtimes$ H, SU (2) f × H, U(2) f $\rtimes$ H, generic Abelian groups, as well as more general compact Lie groups, antiunitary symmetries and crystalline symmetries. Further, we present an algebraic formula for the fermionic crystalline equivalence principle, which gives an equivalence between states with crystalline and internal symmetries. In light of our theory, we discuss several previously proposed realizations of unpaired MZMs in TSC materials such as Sr 2 RuO 4 , transition metal dichalcogenides and iron superconductors, in which crystalline symmetries are often important; in some cases we present additional predictions for the properties of these models.

75 CONDENSED MATTER PHYSICS, SUPERCONDUCTIVITY AND↗

A unified framework of stabilized finite element method for solving the Boltzmann transport equation

This paper presents a unified framework of stabilized finite element method for solving the Boltzmann transport equation. Unlike the traditional Petrov-Galerkin finite element method which modifies the test function to construct the stabilization term, we derive the stabilization methods from the standard Galerkin weak form with Sub-grid scale model. The basic idea of this method is to decompose the unknowns into its numerical solution and residual, with an approximation for the residual and embeds it in the Galerkin weak form to yield a stabilized variational formula. Different approximations of the residual lead to different stabilization methods, all the frequently used stabilized methods, including the Streamline Upwinding Petrov-Galerkin (SUPG) method, Galerkin/Least-Square (GLS) method, and Algebraic Sub-Grid Scale (ASGS) method can be obtained from this framework. The similarities and differences of the different approximations are compared in this paper. The numerical results show that the behaviors of the different methods area similar with the same stabilization parameter, and all these stabilized techniques can obtain a correct and stable solution. (authors)

22 GENERAL STUDIES OF NUCLEAR REACTORS↗

Parametric study of stress-intensity factors in bonded composite stringer panels

Stress-intensity factors are determined for an infinite cracked orthotropic sheet adhesively bonded to an orthotropic stringer. Since the stringer is modeled as a semi-infinite sheet, the solution is most appropriate for a crack tip located near a stringer edge. Both adherends are treated as homogeneous, orthotropic media which are representative of many fiber-reinforced composite materials. The complex variable theory of elasticity was used to obtain a set of integral equations describing the problem. The integral equations are replaced by an equivalent sheet of algebraic equations, which are solved to obtain the shear stress distribution in the adhesive layer. From these adhesive stresses, the stress-intensity factors are found. A parametric study is conducted to determine the sensitivity of the system to material properties and specimen configuration. Unless the crack tip is very close to or under the stringer, the stress-intensity factor is approximately that of the unstiffened sheet. However, as the crack propagates beneath the stringer, the stress-intensity factor decreases significantly. Increasing the stringer stiffness or the adhesive stiffness also decreases the stress-intensity factor.

Bigelow, C. A.↗

Approach for Propagating Radiometric Data Uncertainties Through NASA Ocean Color Algorithms

Spectroradiometric satellite observations of the ocean are commonly referred to as “ocean color” remote sensing. NASA has continuously collected, processed, and distributed ocean color datasets since the launch of the Sea-viewing Wide-field-of-view Sensor (SeaWiFS) in 1997. While numerous ocean color algorithms have been developed in the past two decades that derive geophysical data products from sensor-observed radiometry, few papers have clearly demonstrated how to estimate measurement uncertainty in derived data products. As the uptake of ocean color data products continues to grow with the launch of new and advanced sensors, it is critical that pixel-by-pixel data product uncertainties are estimated during routine data processing. Knowledge of uncertainties can be used when studying long-term climate records, or to assist in the development and performance appraisal of bio-optical algorithms. In this method paper we provide a comprehensive overview of how to formulate first-order first-moment (FOFM) calculus for propagating radiometric uncertainties through a selection of bio-optical models. We demonstrate FOFM uncertainty formulations for the following NASA ocean color data products: chlorophyll-a pigment concentration (Chl), the diffuse attenuation coefficient at 490 nm (K(sub d,490)), particulate organic carbon (POC), normalized fluorescent line height (nflh), and inherent optical properties (IOPs). Using a quality-controlled in situ hyperspectral remote sensing reflectance (R(sub rs,i)) dataset, we show how computationally inexpensive, yet algebraically complex, FOFM calculations may be evaluated for correctness using the more computationally expensive Monte Carlo approach. We compare bio-optical product uncertainties derived using our test R(sub rs) dataset assuming spectrally-flat, uncorrelated relative uncertainties of 1, 5, and 10%. We also consider spectrally dependent, uncorrelated relative uncertainties in R(sub rs). The importance of considering spectral covariances in R(sub rs), where practicable, in the FOFM methodology is highlighted with an example SeaWiFS image. We also present a brief case study of two POC algorithms to illustrate how FOFM formulations may be used to construct measurement uncertainty budgets for ecologically-relevant data products. Such knowledge, even if rudimentary, may provide useful information to end-users when selecting data products or when developing their own algorithms.

Bio-optics↗

Multi-stage preconditioners for thermal–compositional–reactive flow in porous media

We present a family of multi-stage preconditioners for coupled thermal-compositional-reactive reservoir simulation problems. The most common preconditioner used in industrial practice, the Constrained Pressure Residual (CPR) method, was designed for isothermal models and does not offer a specific strategy for the energy equation. For thermal simulations, inadequate treatment of the temperature unknown can cause severe conver-gence degradation. When strong thermal diffusion is present, the energy equation exhibits significant elliptic behavior that cannot be accurately corrected by CPR's second stage. In this work, we use Schur-complement decompositions to extract a temperature subsystem and apply an Algebraic MultiGrid (AMG) approximation as an additional preconditioning stage to improve the treatment of the energy equation. We present results for several two-dimensional hot air injection problems using an extra heavy oil, including challenging reactive In-Situ Combustion (ISC) cases. We show improved performance and robustness across different thermal regimes, from advection dominated (high Péclet number) to diffusion dominated (low Péclet number). The number of linear iterations is reduced by 40–85% compared to standard CPR for both homogeneous and heterogeneous media, and the new methods exhibit almost no sensitivity to the thermal regime.

42 ENGINEERING↗

Tri-Sectional Approximation of the Shortest Path to Long-Term Voltage Stability Boundary with Distributed Energy Resources

Ensuring long-term voltage stability is critical for reliable operations of power grids. High share of distributed energy resources (DERs) can create complicated system operation modes that may invalidate the traditional long-term voltage stability analysis based on typical operation modes. To address this challenge, this paper investigates how to compute the shortest path to the voltage stability boundary in the DER aggregated load space with large dispersion. Instead of working in the Euclidean space, we establish the analysis and computations on the algebraic power flow manifold to better capture the curvature change of the shortest path along the direction of losing stability. A modified optimal control framework is presented for obtaining the ground-truth of the smooth shortest path on the manifold. To efficiently and accurately solve for the shortest path, we further leverage the geometric features of the power flow manifold and propose a tri-sectional approximation model that is scalable for large-scale systems. Several numerical examples, up to the 1354-bus system, with different DER penetration levels and high dimensional renewable power injection variations are evaluated. The simulation results demonstrate that the tri-sectional approximation achieves high accuracy and efficiency to approximate the shortest path to the voltage stability boundary.

24 POWER TRANSMISSION AND DISTRIBUTION↗

Analytical solution for partial heating on the exterior of the pipe with application to measuring fluid flow rate

An analytical model using Green’s functions for partial external heating of a pipe is developed, which results in an exact mathematical solution for the radial and axial temperature distribution in the pipe wall. Partial heating consists of a constant heat flux function imposed over a small section of the exterior of a pipe and for a limited time duration. The solution comprises steady-state and transient parts, and an algebraic identity is used to decrease the number of summation terms in the slowly-converging steady- state part. Intrinsic verification principles are used to verify the solution. As an example application, this transient solution is applied toward the development of a simple, noninvasive method for in-field measurement of the flow rate in pipes. Furthermore, to simulate this application, a pulse of energy is imposed to the wall of the pipe, and the developed mathematical solution is used to find the flow rate of the fluid inside the pipe. An optimal experiment is designed to find the best measurement location and time.

32 ENERGY CONSERVATION, CONSUMPTION, AND UTILIZATI↗

Maximum likelihood identification of aircraft parameters with unsteady aerodynamic modelling

A simplified aerodynamic force model based on the physical principle of Prandtl's lifting line theory and trailing vortex concept has been developed to account for unsteady aerodynamic effects in aircraft dynamics. Longitudinal equations of motion have been modified to include these effects. The presence of convolution integrals in the modified equations of motion led to a frequency domain analysis utilizing Fourier transforms. This reduces the integro-differential equations to relatively simple algebraic equations, thereby reducing computation time significantly. A parameter extraction program based on the maximum likelihood estimation technique is developed in the frequency domain. The extraction algorithm contains a new scheme for obtaining sensitivity functions by using numerical differentiation. The paper concludes with examples using computer generated and real flight data

Keskar, D. A.↗

An Eigenvalue Analysis of finite-difference approximations for hyperbolic IBVPs

The eigenvalue spectrum associated with a linear finite-difference approximation plays a crucial role in the stability analysis and in the actual computational performance of the discrete approximation. The eigenvalue spectrum associated with the Lax-Wendroff scheme applied to a model hyperbolic equation was investigated. For an initial-boundary-value problem (IBVP) on a finite domain, the eigenvalue or normal mode analysis is analytically intractable. A study of auxiliary problems (Dirichlet and quarter-plane) leads to asymptotic estimates of the eigenvalue spectrum and to an identification of individual modes as either benign or unstable. The asymptotic analysis establishes an intuitive as well as quantitative connection between the algebraic tests in the theory of Gustafsson, Kreiss, and Sundstrom and Lax-Richtmyer L(sub 2) stability on a finite domain.

Warming, Robert F.↗

An eigenvalue analysis of finite-difference approximations for hyperbolic IBVPs

The eigenvalue spectrum associated with a linear finite-difference approximation plays a crucial role in the stability analysis and in the actual computational performance of the discrete approximation. The eigenvalue spectrum associated with the Lax-Wendroff scheme applied to a model hyperbolic equation was investigated. For an initial-boundary-value problem (IBVP) on a finite domain, the eigenvalue or normal mode analysis is analytically intractable. A study of auxiliary problems (Dirichlet and quarter-plane) leads to asymptotic estimates of the eigenvalue spectrum and to an identification of individual modes as either benign or unstable. The asymptotic analysis establishes an intuitive as well as quantitative connection between the algebraic tests in the theory of Gustafsson, Kreiss, and Sundstrom and Lax-Richtmyer L (sub 2) stability on a finite domain.

Warming, Robert F.↗